{
  "name": "videojs-overlay",
  "description": "A plugin to display simple overlays during video playback.",
  "author": "Brightcove, Inc.",
  "license": "Apache-2.0",
  "version": "2.1.0",
  "main": "dist/videojs-overlay.cjs.js",
  "module": "dist/videojs-overlay.es.js",
  "keywords": [
    "videojs",
    "videojs-plugin"
  ],
  "repository": {
    "type": "git",
    "url": "https://github.com/brightcove/videojs-overlay.git"
  },
  "vjsstandard": {
    "ignore": [
      "dist",
      "docs",
      "test/dist",
      "test/karma.conf.js"
    ]
  },
  "scripts": {
    "prebuild": "npm run clean",
    "build": "npm-run-all -p build:*",
    "build:css": "npm-run-all build:css:sass build:css:bannerize",
    "build:css:bannerize": "bannerize dist/videojs-overlay.css --banner=scripts/banner.ejs",
    "build:css:sass": "node-sass src/plugin.scss dist/videojs-overlay.css --output-style=compressed --linefeed=lf",
    "build:js": "npm-run-all build:js:rollup-modules build:js:rollup-umd build:js:bannerize build:js:uglify",
    "build:js:bannerize": "bannerize dist/videojs-overlay.js --banner=scripts/banner.ejs",
    "build:js:rollup-modules": "rollup -c scripts/modules.rollup.config.js",
    "build:js:rollup-umd": "rollup -c scripts/umd.rollup.config.js",
    "build:js:uglify": "uglifyjs dist/videojs-overlay.js --comments --mangle --compress  -o dist/videojs-overlay.min.js",
    "build:test": "rollup -c scripts/test.rollup.config.js",
    "clean": "rimraf dist test/dist",
    "postclean": "mkdirp dist test/dist",
    "lint": "vjsstandard",
    "start": "npm-run-all -p start:server watch",
    "start:server": "static -a 0.0.0.0 -p 9999 -H '{\"Cache-Control\": \"no-cache, must-revalidate\"}' .",
    "pretest": "npm-run-all lint build",
    "test": "karma start test/karma.conf.js",
    "preversion": "npm test",
    "version": "node scripts/version.js",
    "watch": "npm-run-all -p watch:*",
    "watch:css": "npm-run-all build:css:sass watch:css:sass",
    "watch:css:sass": "node-sass src/plugin.scss dist/videojs-overlay.css --output-style=compressed --linefeed=lf --watch src/**/*.scss",
    "watch:js-modules": "rollup -c scripts/modules.rollup.config.js -w",
    "watch:js-umd": "rollup -c scripts/umd.rollup.config.js -w",
    "watch:test": "rollup -c scripts/test.rollup.config.js -w",
    "prepublish": "npm run build",
    "prepush": "npm run lint"
  },
  "dependencies": {
    "global": "^4.3.2",
    "units-css": "^0.4.0",
    "video.js": "^5.19.2"
  },
  "devDependencies": {
    "babel-plugin-external-helpers": "^6.22.0",
    "babel-plugin-transform-object-assign": "^6.8.0",
    "babel-preset-es2015": "^6.14.0",
    "bannerize": "^1.0.2",
    "conventional-changelog-cli": "^1.3.1",
    "conventional-changelog-videojs": "^3.0.0",
    "husky": "^0.13.3",
    "karma": "^1.7.0",
    "karma-chrome-launcher": "^2.1.1",
    "karma-detect-browsers": "^2.2.5",
    "karma-firefox-launcher": "^1.0.1",
    "karma-ie-launcher": "^1.0.0",
    "karma-qunit": "^1.2.1",
    "karma-safari-launcher": "^1.0.0",
    "mkdirp": "^0.5.1",
    "node-sass": "^4.5.3",
    "node-static": "^0.7.9",
    "npm-run-all": "^4.0.2",
    "qunitjs": "^2.3.2",
    "rimraf": "^2.6.1",
    "rollup": "^0.41.6",
    "rollup-plugin-babel": "^2.7.1",
    "rollup-plugin-commonjs": "^8.0.2",
    "rollup-plugin-json": "^2.1.1",
    "rollup-plugin-multi-entry": "^2.0.1",
    "rollup-plugin-node-resolve": "^3.0.0",
    "rollup-watch": "^3.2.2",
    "semver": "^5.3.0",
    "sinon": "^2.2.0",
    "uglify-js": "^3.0.7",
    "videojs-standard": "^6.0.0"
  },
  "style": "dist/videojs-overlay.css",
  "videojs-plugin": {
    "style": "dist/videojs-overlay.css",
    "script": "dist/videojs-overlay.min.js"
  },
  "files": [
    "CONTRIBUTING.md",
    "dist/",
    "docs/",
    "index.html",
    "scripts/",
    "src/",
    "test/"
  ],
  "generator-videojs-plugin": {
    "version": "5.0.1"
  },
  "jshintConfig": {
    "esversion": 6
  }
}
